> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find by details

> Locate and explore data sources and information providers within the knowledge graph. Filter sources by country, rank, and category to find the most relevant information providers.



## OpenAPI

````yaml /api-rest/openapi/openapi_knowledge_graph.json post /v1/knowledge-graph/sources
openapi: 3.0.3
info:
  title: Bigdata Knowledge Graph API
  version: 1.0.0
  description: >-
    Access structured data from the Knowledge Graph to find companies, people,
    places, and other entities with detailed information.
servers:
  - url: https://api.bigdata.com/
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /v1/knowledge-graph/sources:
    post:
      tags:
        - Sources
      summary: Find by details
      description: >-
        Locate and explore data sources and information providers within the
        knowledge graph. Filter sources by country, rank, and category to find
        the most relevant information providers.
      operationId: findSources
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FindSourcesRequest'
      responses:
        '200':
          description: Successful response with source data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FindSourcesResponse'
components:
  schemas:
    FindSourcesRequest:
      type: object
      properties:
        query:
          type: string
          description: >-
            Text query to search for sources by name or description. (e.g.,'MT
            Newswire', 'Benzinga', 'Bloomberg')
          example: MT Newswire
        countries:
          type: array
          items:
            type: string
            pattern: ^[A-Z]{2}$
          description: >-
            Country codes using the ISO 3166-1 A-2 format (e.g., 'US' for United
            States, 'FR' for France, 'GB' for Great Britain)
          example:
            - US
            - FR
            - GB
        ranks:
          type: array
          items:
            type: string
            enum:
              - RANK_1
              - RANK_2
              - RANK_3
              - RANK_4
              - RANK_5
          description: Source ranking from 1 to 5, where RANK_1 is the highest quality
          example:
            - RANK_1
            - RANK_2
            - RANK_3
        categories:
          type: array
          items:
            type: string
            enum:
              - transcripts
              - research
              - podcasts
              - news
              - filings
              - expert_interviews
          description: Available source categories
          example:
            - transcripts
            - research
            - podcasts
            - news
            - filings
            - expert_interviews
        packages:
          type: array
          items:
            type: string
            enum:
              - alliance_news
              - benzinga
              - crypto_markets
              - expert_networks
              - financial_newswires
              - fly_on_the_wall
              - fxstreet
              - middle_eastern_markets
              - midnight_trader
              - quartr_presentation_materials
              - quartr_reports
              - quartr_transcripts
              - rp_factset_earnings_comparision
              - rp_multi_source_earnings_comparision
              - sec_filings
              - public
          description: Filter sources by available data packages
          example:
            - sec_filings
      description: >-
        Request body for finding sources. Each field is optional. However, you
        must provide at least one field to perform a valid search.
      example:
        query: MT Newswire
        countries:
          - US
          - FR
          - GB
        ranks:
          - RANK_1
          - RANK_2
          - RANK_3
        categories:
          - transcripts
          - research
          - podcasts
          - news
          - filings
          - expert_interviews
        packages:
          - sec_filings
    FindSourcesResponse:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Source'
          description: Array of source results
        metadata:
          type: object
          properties:
            request_id:
              type: string
              description: Unique request identifier
              example: user_2k3Z4SerTUIieyCfQhGR5UF2Af3
            timestamp:
              type: string
              format: date-time
              description: Response timestamp
              example: '2025-09-30T07:23:05.019121+00:00'
          required:
            - request_id
            - timestamp
      required:
        - results
        - metadata
      description: Response containing source results and metadata
    Source:
      type: object
      properties:
        id:
          type: string
          description: Unique source identifier in the Knowledge Graph
          example: 97C483
        name:
          type: string
          description: Source name
          example: Personal Finance with Warren Ingram
        description:
          type: string
          description: Source description and overview
          example: >-
            Personal Finance with Warren Ingram is a program that provides
            practical advice on money management, including guidance on
            investing, retirement planning, and wealth creation, through its
            podcast.
        country:
          type: string
          pattern: ^[A-Z]{2}$
          description: Country code (ISO 3166-1 alpha-2)
          example: ZA
        rank:
          type: string
          enum:
            - RANK_1
            - RANK_2
            - RANK_3
            - RANK_4
            - RANK_5
          description: Source ranking from 1 to 5
          example: RANK_1
        retention:
          type: string
          description: Data retention policy for the source
          example: FULL_HISTORY
        webpage:
          type: string
          description: Source webpage or platform
          example: TV and Radio Transcripts
        categories:
          type: array
          items:
            type: string
          description: Source categories
          example:
            - podcasts
        packages:
          type: array
          items:
            type: string
          description: Available data packages for this source
          example:
            - podcasts
            - all
        subscribed:
          type: boolean
          description: Whether the user is subscribed to this source
          example: true
      required:
        - id
        - name
        - country
        - rank
      description: Source entity with detailed information
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````